Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.pickedmovetypestepscore
Class PickedMoveTypeStepScoreDiffStatisticPoint

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.StatisticPoint
          org.optaplanner.benchmark.impl.statistic.pickedmovetypestepscore.PickedMoveTypeStepScoreDiffStatisticPoint

    public class PickedMoveTypeStepScoreDiffStatisticPoint

extends StatisticPoint

Constructor Summary
`PickedMoveTypeStepScoreDiffStatisticPoint(long timeMillisSpent, String moveType, Score stepScoreDiff)`

Method Summary
`String` | `getMoveType()`
`Score` | `getStepScoreDiff()`
`long` | `getTimeMillisSpent()`
`String` | `toCsvLine()`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.StatisticPoint
`buildCsvLine, buildCsvLineWithDoubles, buildCsvLineWithLongs, buildCsvLineWithStrings, parseCsvLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PickedMoveTypeStepScoreDiffStatisticPoint

    public PickedMoveTypeStepScoreDiffStatisticPoint(long timeMillisSpent,
                                                     String moveType,
                                                     Score stepScoreDiff)

Method Detail

### getTimeMillisSpent

    public long getTimeMillisSpent()

### getMoveType

    public String getMoveType()

### getStepScoreDiff

    public Score getStepScoreDiff()

### toCsvLine

    public String toCsvLine()

  Specified by:
    `toCsvLine` in class `StatisticPoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.